Page MenuHome

Python: Add support for @ infix operator matrix multiplication
ClosedPublic

Authored by Andrew Hale (trumanblending) on Aug 8 2018, 5:09 PM.

Diff Detail

Repository
rB Blender

Event Timeline

Campbell Barton (campbellbarton) requested changes to this revision.EditedAug 9 2018, 12:02 AM

LGTM, notes:

  • Committed BLI changes to master.
  • As you stated, not sure quat * quat is all that useful, although quat * flaot is, so we could support it for completeness.
  • For final patch, nb_inplace_matrix_multiply should be supported (a @= b). As far as I can see this is only remaining TODO.
This revision now requires changes to proceed.Aug 9 2018, 12:02 AM
  • Add math function to copy arbitrary length array
  • Implement inplace multiplication for matrices
  • Implement inplace multiplication for quaternions
  • Cleanup: type checking
  • Implement inplace quaternion multiplication

LGTM, final-final TODO is to bring tests back :), see tests/python/bl_pyapi_mathutils.py

This revision is now accepted and ready to land.Aug 10 2018, 10:13 AM
This revision was automatically updated to reflect the committed changes.